> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the feed by uri



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.feed.getFeed
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.feed.getFeed:
    get:
      tags:
        - app.rocksky.feed
      summary: Get the feed by uri
      operationId: app.rocksky.feed.getFeed
      parameters:
        - name: feed
          in: query
          description: The feed URI.
          required: true
          schema:
            type: string
            description: The feed URI.
            format: at-uri
        - name: limit
          in: query
          description: The maximum number of scrobbles to return
          required: false
          schema:
            type: integer
            minimum: 1
        - name: cursor
          in: query
          description: The cursor for pagination
          required: false
          schema:
            type: string
            description: The cursor for pagination
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.rocksky.feed.defs.feedView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.feed.defs.feedView:
      type: object
      properties:
        feed:
          type: array
          items:
            $ref: '#/components/schemas/app.rocksky.feed.defs.feedItemView'
        cursor:
          type: string
          description: The pagination cursor for the next set of results.
    app.rocksky.feed.defs.feedItemView:
      type: object
      properties:
        scrobble:
          $ref: '#/components/schemas/app.rocksky.scrobble.defs.scrobbleViewBasic'
    app.rocksky.scrobble.defs.scrobbleViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the scrobble.
        user:
          type: string
          description: The handle of the user who created the scrobble.
        userDisplayName:
          type: string
          description: The display name of the user who created the scrobble.
        userAvatar:
          type: string
          description: The avatar URL of the user who created the scrobble.
          format: uri
        title:
          type: string
          description: The title of the scrobble.
        artist:
          type: string
          description: The artist of the song.
        artistUri:
          type: string
          description: The URI of the artist.
          format: at-uri
        album:
          type: string
          description: The album of the song.
        albumUri:
          type: string
          description: The URI of the album.
          format: at-uri
        cover:
          type: string
          description: The album art URL of the song.
          format: uri
        date:
          type: string
          description: The timestamp when the scrobble was created.
          format: date-time
        uri:
          type: string
          description: The URI of the scrobble.
          format: uri
        sha256:
          type: string
          description: The SHA256 hash of the scrobble data.
        liked:
          type: boolean
        likesCount:
          type: integer
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````